package sample;

import java.util.List;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import sample.biz.domain.Person;
import sample.biz.service.PersonService;

public class Main {

    public static void main(String[] args) {
        ApplicationContext ctx = new ClassPathXmlApplicationContext("applicationContext.hibernate.xml");
        PersonService personService = ctx.getBean(PersonService.class);
        
        Person person = new Person();
        person.setId("person001");
        person.setName("東京太郎");
        
        personService.addPerson(person);
        
        List<Person> list = personService.findPerson();
        System.out.println(list.get(0).getName());

        person.setName("foo");
        personService.updatePerson(person);
        
        personService.removePerson(person);
    }
}
