package sample.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.stereotype.Repository;

import sample.biz.dao.PersonDao;
import sample.biz.domain.Person;

@Repository
public class HibernatePersonDao implements PersonDao {
    @Autowired
    private HibernateTemplate hibernateTemplate;
    public List<Person> findPerson() {
        return hibernateTemplate.find("from Person");
    }
    public void addPerson(Person person) {
        hibernateTemplate.save(person);
        hibernateTemplate.flush();
    }
    public void removePerson (Person person) {
        hibernateTemplate.delete(person);
        hibernateTemplate.flush();
    }
    public void updatePerson(Person person) {
        hibernateTemplate.update(person);
        hibernateTemplate.flush();
    }
    
    
}

