package sample;

import java.util.List;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import sample.biz.dao.GroupDao;
import sample.biz.domain.Group;
import sample.biz.domain.Member;

public class Main {
    public static void main(String[] args) {
        ApplicationContext ctx = new ClassPathXmlApplicationContext(
                "applicationContext.jpa.xml");
        GroupDao groupDao = ctx.getBean(GroupDao.class);

        List<Group> groups = groupDao.findGroupByName("foo");
        for (Group group : groups) {
            System.out.println("group id = " + group.getId());
            System.out.println("group name = " + group.getName());
            System.out.println("members:");
            for (Member member : group.getMembers()) {
                System.out.print("\tid:" + member.getId());
                System.out.print("\tname:" + member.getName());
                System.out.print("\tdetail:" + member.getDetail());
                System.out.println();
            }
        }
        
        Group group = new Group();
        group.setName("NewGroup");
        groupDao.insertGroup(group);
        
        groupDao.removeGroup(group);

    }
}
